LEED Brakes - All Front Disc Brake Kits

Front Disc Brake Conversion Kits - All Front Disc Brake Kits

 

LEED Brakes offers a variety of Front Disc Brake Upgrade Kit Conversions for your 1964-73 Ford Mustang, Fairlane & Cougar, 1957-68 Ford Full Size Car, 1962-74 GM A, F & X Body cars such as the Chevrolet Camaro, Chevelle, Nova, Buick Skylark and Oldsmobile Cutlass and 1964-74 Mopar A, B, C & E Body Cars and Many More!

 

Brake upgrade kits are available as:
Spindle Mount - Complete drum to disc brake conversion minus a master cylinder or power booster
Manual Kits - Complete drum to disc brake conversion with manual brake master cylinder
Power Kits - Complete drum to disc brake conversion with power brake booster & master cylinder

Browse All Front Disc Brake Kits Products

Sort
View
 
Items 61-120 of 415
Mopar, Dodge, Plymouth, B Body Disc Brakes
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and braking performance of disc brakes to your classic Mopar with LEED Brakes' 1962-72 Factory Power Front Disc Brake Conversion Kit. Designed for vehicles equipped...More Details »
Item #: FC2002-C05P
Condition: New
Price: $1,399.99

Qty:

Mopar, Dodge, Plymouth, B Body Disc Brakes
This part qualifies for $150 Mail In Rebate
Click here for more details.
Description: Upgrade the safety, reliability, and braking performance of your 1962-72 Mopar with LEED Brakes' Factory Power Front Disc Brake Conversion Kit featuring MaxGrip XDS rotors. Designed for vehicles...More Details »
Item #: FC2002-C05PX
Condition: New
Price: $1,539.99

Qty:

This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Upgrade your 1964-1966 Ford Mustang from front drum to manual disc brakes with this complete LEED Brakes conversion kit. Featuring black powder-coated factory-style 4-piston calipers, MaxGrip XDS...More Details »
Item #: BFC0001-405X
Condition: New
Price: $1,464.99

Qty:

This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Upgrade your 1964-1966 Ford Mustang from front drum to manual disc brakes with this complete LEED Brakes conversion kit. Featuring red powder-coated factory-style 4-piston calipers, MaxGrip XDS...More Details »
Item #: RFC0001-405X
Condition: New
Price: $1,464.99

Qty:

Ford Mustang
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Convert your 1964-1969 Ford Mustang from drum to front disc brakes with this spindle mount 4-piston conversion kit from LEED Brakes featuring MaxGrip XDS cross drilled and slotted rotors. Designed...More Details »
Item #: FC0001SMX
Condition: New
Price: $1,139.99

Qty:

Ford Mustang, Manual Transmission
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and stopping performance of power front disc brakes to your 1964-1966 Ford Mustang with a factory manual transmission. This drum-to-power disc brake conversion kit...More Details »
Item #: FC0001-H405M
Condition: New
Price: $1,499.99

Qty:

Ford Mustang, Manual Transmission
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and stopping performance of power front disc brakes to your 1964-1966 Ford Mustang with a factory manual transmission. This drum-to-power disc brake conversion kit...More Details »
Item #: RFC0001-H405MX
Condition: New
Price: $1,714.99

Qty:

Ford Mustang, Manual Transmission
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and stopping performance of power front disc brakes to your 1964-1966 Ford Mustang with a factory manual transmission. This drum-to-power disc brake conversion kit...More Details »
Item #: BFC0001-H405MX
Condition: New
Price: $1,714.99

Qty:

Ford Mustang
Description: Upgrade your worn out Mustang brake calipers on your 1964-67 Mustang with LEED Brakes new calipers, semi-metallic brake pads and brake hoses. Our Ford Mustang calipers are hand assembled with...More Details »
Item #: CC0001
Condition: New
Price: $619.99

Qty:

Ford Galaxie, Fairlane, Custom 500
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your classic 1964-1968 full-size Ford or Mercury with a MaxGrip Lite 4-piston power front disc brake conversion kit from LEED Brakes. Designed specifically to convert vehicles originally...More Details »
Item #: BFC0026-P307X
Condition: New
Price: $2,149.99

Qty:

Ford Galaxie, Fairlane, Custom 500
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your 1964-1968 full-size Ford or Mercury from factory power drum brakes to power front disc brakes with this MaxGrip XDS conversion kit from LEED Brakes. Designed for classic Ford Galaxie,...More Details »
Item #: BFC0025-P307X
Condition: New
Price: $1,839.99

Qty:

Ford Galaxie, Fairlane, Custom 500
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your 1964-1968 full-size Ford or Mercury from factory power drum brakes to power front disc brakes with this MaxGrip XDS conversion kit from LEED Brakes. Designed for classic Ford Galaxie,...More Details »
Item #: FC0025-P307X
Condition: New
Price: $1,764.99

Qty:

Ford Mustang, Automatic Transmission
This part qualifies for $150 Mail In Rebate
Click here for more details.
Description: Convert your 1964.5-1966 Ford Mustang automatic transmission car from drum to power front disc brakes with this 4-piston conversion kit from LEED Brakes featuring MaxGrip XDS cross drilled and...More Details »
Item #: FC0001-H405AX
Condition: New
Price: $1,609.99

Qty:

Ford Mustang, Manual Transmission
This part qualifies for $150 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and stopping performance of power front disc brakes to your 1964-1966 Ford Mustang with a factory manual transmission. This drum-to-power disc brake conversion kit...More Details »
Item #: FC0001-H405MX
Condition: New
Price: $1,639.99

Qty:

Ford Galaxie, Fairlane, Custom 500
This part qualifies for $150 Mail In Rebate
Click here for more details.
Description: Upgrade your 1964-1968 full-size Ford or Mercury from factory power drum brakes to power front disc brakes with this conversion kit from LEED Brakes. Designed for classic Ford Galaxie, LTD,...More Details »
Item #: FC0025-P307
Condition: New
Price: $1,624.99

Qty:

Ford Galaxie, Fairlane, Custom 500
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your 1964-1968 full-size Ford or Mercury from factory power drum brakes to power front disc brakes with this MaxGrip XDS conversion kit from LEED Brakes. Designed for classic Ford Galaxie,...More Details »
Item #: RFC0025-P307X
Condition: New
Price: $1,839.99

Qty:

Ford Mustang, Automatic Transmission
This part qualifies for $150 Mail In Rebate
Click here for more details.
Description: Convert your 1965-1966 Ford Mustang to power front disc brakes with this complete conversion kit from LEED Brakes featuring factory style 4-piston calipers and a pre-bent brake line kit. Designed...More Details »
Item #: FC0001-H405ALK
Condition: New
Price: $1,689.99

Qty:

Mopar, Dodge, Plymouth, C Body Disc Brakes
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Upgrade the safety, reliability, and braking performance of your classic Mopar with LEED Brakes' 1965-72 C-Body Factory Power Front Disc Brake Conversion Kit. Designed for vehicles equipped with...More Details »
Item #: FC2003-C05P
Condition: New
Price: $1,379.99

Qty:

Mopar, Dodge, Plymouth, C Body Disc Brakes
This part qualifies for $150 Mail In Rebate
Click here for more details.
Description: Upgrade the safety, reliability, and braking performance of your classic Mopar with LEED Brakes' 1965-72 C-Body Factory Power Front Disc Brake Conversion Kit featuring MaxGrip XDS rotors. Designed...More Details »
Item #: FC2003-C05PX
Condition: New
Price: $1,519.99

Qty:

Mopar, Dodge, Plymouth, C Body Disc Brakes
This part qualifies for $150 Mail In Rebate
Click here for more details.
Description: Upgrade the safety, reliability, and braking performance of your classic Mopar with LEED Brakes' 1965-72 C-Body Factory Power Front Disc Brake Conversion Kit. Designed for vehicles equipped with...More Details »
Item #: BFC2003-C05PX
Condition: New
Price: $1,613.99

Qty:

Mopar, Dodge, Plymouth, C Body Disc Brakes
This part qualifies for $150 Mail In Rebate
Click here for more details.
Description: Upgrade the safety, reliability, and braking performance of your classic Mopar with LEED Brakes' 1965-72 C-Body Factory Power Front Disc Brake Conversion Kit. Designed for vehicles equipped with...More Details »
Item #: RFC2003-C05PX
Condition: New
Price: $1,613.99

Qty:

Mopar, Dodge, Plymouth, C Body Disc Brakes
This part qualifies for $150 Mail In Rebate
Click here for more details.
Description: Upgrade your 1965–1972 Mopar C-Body with the safety, reliability, and stopping performance of a LEED Brakes manual drum-to-power disc brake conversion kit. This front disc brake conversion kit...More Details »
Item #: FC2003-8405
Condition: New
Price: $1,539.99

Qty:

Ford Bronco
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Upgrade your 1966-75 Ford Bronco from front drum to disc brakes with this complete LEED Brakes conversion kit. Designed to mount dual-piston disc brakes to the factory drum brake knuckles, this...More Details »
Item #: FC5001SM
Condition: New
Price: $1,129.99

Qty:

Ford Bronco
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Upgrade your 1966-75 Ford Bronco from front drum to disc brakes with this complete LEED Brakes conversion kit. Designed to mount dual-piston disc brakes to the factory drum brake knuckles, this...More Details »
Item #: FC5001-405
Condition: New
Price: $1,319.99

Qty:

Ford Mustang, Manual Transmission
This part qualifies for $150 Mail In Rebate
Click here for more details.
Description: Convert your 1967-1969 Ford Mustang manual transmission car from drum to power front disc brakes with this complete conversion kit from LEED Brakes. This factory style 4 piston front disc brake...More Details »
Item #: FC0002-X405M
Condition: New
Price: $1,599.99

Qty:

Ford Mustang Fairlane Falcon Torino Disc Brake Conversion
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your classic 1967-1969 Ford or Mercury with a manual front disc brake conversion kit from LEED Brakes. Designed for select Ford and Mercury models, including the Mustang, Fairlane, Falcon,...More Details »
Item #: BFC0006-405X
Condition: New
Price: $1,799.99

Qty:

Ford Mustang Fairlane Falcon Torino Disc Brake Conversion
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your classic 1967-1969 Ford or Mercury with a manual front disc brake conversion kit from LEED Brakes. This drum-to-disc brake conversion kit includes everything needed to mount LEED...More Details »
Item #: RFC0006-405X
Condition: New
Price: $1,799.99

Qty:

Ford Mustang, Automatic Transmission
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Convert your 1967-1969 Ford Mustang automatic transmission vehicle from drum to power front disc brakes with this 4-piston conversion kit from LEED Brakes featuring MaxGrip XDS cross drilled and...More Details »
Item #: FC0002-3405AX
Condition: New
Price: $1,734.99

Qty:

Ford Mustang Fairlane Falcon Torino Disc Brake Conversion
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Convert your 1967-1969 Ford Mustang from drum to manual front disc brakes with this 4-piston conversion kit from LEED Brakes featuring MaxGrip XDS cross drilled and slotted rotors. Designed to...More Details »
Item #: FC0002-405X
Condition: New
Price: $1,429.99

Qty:

Ford Mustang, Manual Transmission
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Convert your 1967-1969 Ford Mustang or Mercury Cougar with manual transmission from drum to power front disc brakes using this 4-piston conversion kit from LEED Brakes featuring MaxGrip XDS cross...More Details »
Item #: FC0002-X405MX
Condition: New
Price: $1,739.99

Qty:

Ford Mustang, Automatic Transmission
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Convert your 1970 Ford Mustang automatic transmission vehicle from drum to power front disc brakes with this 4-piston conversion kit from LEED Brakes featuring MaxGrip XDS cross drilled and slotted...More Details »
Item #: FC0003-3405AX
Condition: New
Price: $1,739.99

Qty:

Ford Mustang
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of disc brakes to your vehicle with this manual drum-to-disc brake conversion kit for the 1970 Ford Mustang. This kit includes everything needed to...More Details »
Item #: FC0003-405
Condition: New
Price: $1,294.99

Qty:

Ford Mustang
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Convert your 1970 Ford Mustang from drum to manual front disc brakes with this 4-piston conversion kit from LEED Brakes featuring MaxGrip XDS cross drilled and slotted rotors. Designed to mount to...More Details »
Item #: FC0003-405X
Condition: New
Price: $1,434.99

Qty:

Ford Mustang, Manual Transmission
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Convert your 1970 Ford Mustang manual transmission car from drum to power 4 piston front disc brakes with this complete conversion kit from LEED Brakes. Designed to mount to original 1970 drum...More Details »
Item #: FC0003-X405M
Condition: New
Price: $1,599.97

Qty:

Ford Mustang, Automatic Transmission
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your 1970 Ford Mustang from front drum to power disc brakes with this complete LEED Brakes conversion kit for automatic transmission cars. Featuring red powder-coated factory-style...More Details »
Item #: RFC0003-3405AX
Condition: New
Price: $1,814.99

Qty:

This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability and performance of disc brakes to your vehicle with our drum to manual disc brake conversion. In this Ford front disc brake conversion kit you receive everything you...More Details »
Item #: BFC0007-405X
Condition: New
Price: $1,799.99

Qty:

This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your classic Ford or Mercury with a MaxGrip Lite 4-piston manual front disc brake conversion kit from LEED Brakes. Designed for select 1970-1973 Ford and Mercury vehicles, including the...More Details »
Item #: RFC0007-405X
Condition: New
Price: $1,799.99

Qty:

Ford Mustang
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Convert your 1970-1973 Ford Mustang or Mercury Cougar from drum to front disc brakes with this 4-piston conversion kit from LEED Brakes featuring MaxGrip XDS cross drilled and slotted rotors....More Details »
Item #: FC0002SMX
Condition: New
Price: $1,199.99

Qty:

Ford Mustang
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of disc brakes to your classic Mustang with LEED Brakes' 1970–1973 Ford Mustang Spindle Mount Front Disc Brake Conversion Kit. In this spindle-mount...More Details »
Item #: FC0002SM
Condition: New
Price: $1,059.99

Qty:

Ford Mustang
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Convert your 1971-1973 Ford Mustang from drum to power front disc brakes with this factory style 4 piston conversion kit from LEED Brakes. Designed to mount to original drum brake spindles using...More Details »
Item #: FC0004-W405
Condition: New
Price: $1,499.99

Qty:

Ford Mustang
This part qualifies for $150 Mail In Rebate
Click here for more details.
Description: Convert your 1971-1973 Ford Mustang from drum to power front disc brakes with this 4-piston conversion kit from LEED Brakes featuring MaxGrip XDS cross drilled and slotted rotors. Designed to mount...More Details »
Item #: FC0004-W405X
Condition: New
Price: $1,639.99

Qty:

This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your 1971-1973 Ford Mustang or Mercury Cougar from front drum to power disc brakes with this complete LEED Brakes conversion kit. Featuring red powder-coated factory-style 4-piston...More Details »
Item #: RFC0004-W405X
Condition: New
Price: $1,714.99

Qty:

Ford Mustang
This part qualifies for $75 Mail In Rebate
Click here for more details.
Description: Upgrade your worn-out brake calipers & brake rotors on your 1964-67 Mustang with LEED Brakes new calipers, semi-metallic brake pads, brake rotors and brake hoses. Our Mustang calipers are...More Details »
Item #: CC0001RK
Condition: New
Price: $799.99

Qty:

Ford Mustang
Description: Upgrade your worn out brake calipers on your 1964-67 Mustang with LEED Brakes new calipers, semi-metallic brake pads and brake hoses. Our Ford Mustang calipers are hand assembled with stainless...More Details »
Item #: BCC0001
Condition: New
Price: $654.99

Qty:

Ford Mustang
Description: Upgrade your 1964-67 Mustang with LEED Brakes' Mustang caliper upgrade. This 4-piston, red powder-coated brake caliper kit delivers enhanced stopping power, durability, and a factory-correct fit....More Details »
Item #: RCC0001
Condition: New
Price: $654.99

Qty:

Ford Mustang
This part qualifies for $75 Mail In Rebate
Click here for more details.
Description: Upgrade your worn out brake calipers & rotors on your 1964-67 Mustang with LEED Brakes new calipers, semi-metallic brake pads, MaxGrip XDS rotors and stainless steel braided brake hoses. Our...More Details »
Item #: CC0001RKX
Condition: New
Price: $939.99

Qty:

Ford Mustang
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Upgrade your worn out brake calipers & rotors on your 1964-67 Mustang with LEED Brakes new calipers, semi-metallic brake pads, MaxGrip XDS rotors and stainless steel braided brake hoses. Our...More Details »
Item #: BCC0001RKX
Condition: New
Price: $1,014.99

Qty:

Ford Mustang
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Upgrade your worn out brake calipers & rotors on your 1964-67 Mustang with LEED Brakes new calipers, semi-metallic brake pads, MaxGrip XDS rotors and stainless steel braided brake hoses. Our...More Details »
Item #: RCC0001RKX
Condition: New
Price: $1,014.99

Qty:

Ford Mustang, Automatic Transmission
This part qualifies for $150 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of disc brakes to your 1970 Mustang with this drum-to-power disc brake conversion kit from LEED Brakes. In this kit, you receive everything needed to...More Details »
Item #: FC0003-3405A
Condition: New
Price: $1,599.99

Qty:

Chevy II , Nova
This part qualifies for $75 Mail In Rebate
Click here for more details.
Description: Upgrade your 1962-1967 Chevy II or Nova with this LEED Brakes drum-to-disc brake conversion kit, designed to improve safety, reliability, and braking performance. This front disc brake conversion...More Details »
Item #: RFC1006SMX
Condition: New
Price: $944.99

Qty:

Chevy II, Nova
This part qualifies for $75 Mail In Rebate
Click here for more details.
Description: Upgrade your Chevy II or Nova with this LEED Brakes drum-to-disc brake conversion kit, designed to improve safety, reliability, and braking performance. This front disc brake conversion kit...More Details »
Item #: BFC1006SMX
Condition: New
Price: $944.99

Qty:

Ford Galaxie, Fairlane, Custom 500
This part qualifies for $150 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of disc brakes to your 1957–1968 Ford full-size vehicle with this drum to disc conversion kit featuring MaxGrip XDS rotors from LEED Brakes. This...More Details »
Item #: FC0025-405PX
Condition: New
Price: $1,639.99

Qty:

Mopar, Dodge, Plymouth, A Body Disc Brakes
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Upgrade your Mopar A-Body vehicle with this LEED Brakes front disc brake conversion kit designed to improve safety, reliability, and braking performance. This drum-to-disc conversion kit includes...More Details »
Item #: FC2001SMX
Condition: New
Price: $1,294.99

Qty:

Ford Galaxie, Fairlane, Custom 500
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of front disc brakes to your 1957–1968 Ford or Mercury with this complete drum to disc conversion kit from LEED Brakes. This Ford and Mercury disc...More Details »
Item #: FC0025-405P
Condition: New
Price: $1,499.99

Qty:

Mopar, Dodge, Plymouth, B Body Disc Brakes
This part qualifies for $150 Mail In Rebate
Click here for more details.
Description: Upgrade your Mopar B-Body from factory power drum brakes to front disc brakes with this LEED Brakes MaxGrip XDS Front Disc Brake Conversion Kit. Featuring cross-drilled and slotted rotors, red...More Details »
Item #: RFC2002-C05PX
Condition: New
Price: $1,629.99

Qty:

Ford Mustang
This part qualifies for $75 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of disc brakes to your vehicle with our drum-to-disc brake conversion kit. In this drum-to-disc brake conversion kit, you receive everything you...More Details »
Item #: FC0001SM
Condition: New
Price: $999.99

Qty:

Mopar, Dodge, Plymouth, B & E Body Disc Brakes
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Convert your Mopar B and E Body from drum to front disc brakes with this 4-piston spindle mount conversion kit from LEED Brakes. Designed to mount to original drum brake spindles, this direct bolt...More Details »
Item #: FC2002SM
Condition: New
Price: $1,124.99

Qty:

Mopar, Dodge, Plymouth, B & E Body Disc Brakes
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Convert your Mopar B and E Body from drum to front disc brakes with this 4-piston spindle mount conversion kit from LEED Brakes featuring MaxGrip XDS cross drilled and slotted rotors. Designed to...More Details »
Item #: FC2002SMX
Condition: New
Price: $1,264.99

Qty:

Mopar, Dodge, Plymouth, C Body Disc Brakes
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Upgrade your Mopar C-Body with the safety, reliability, and performance of a LEED Brakes front disc brake conversion kit. This drum-to-disc conversion kit includes everything needed to mount...More Details »
Item #: FC2003SM
Condition: New
Price: $1,149.99

Qty:

Mopar, Dodge, Plymouth, C Body Disc Brakes
This part qualifies for $150 Mail In Rebate
Click here for more details.
Description: Upgrade your classic Mopar C-Body from factory power drum brakes to front disc brakes with this LEED Brakes conversion kit. Designed to mount factory-style 4-piston disc brakes to your vehicle's...More Details »
Item #: FC2003-P405
Condition: New
Price: $1,534.99

Qty:

Items 61-120 of 415

More About All Front Disc Brake Kits


LEED Brakes offers a variety of Disc Brake Conversions for your 1964-73 Ford Mustang,Fairlane & Cougar, 1957-68 Ford Full Size Car, 1962-74 GM A, F & X Body cars such as the Chevrolet Camaro, Chevelle, Nova, Buick Skylark and Oldsmobile Cutlassand 1964-74 Mopar A, B, C & E Body Cars and Many More!



Kits are available as:
Spindle Mount - Complete drum to disc brake conversion minus a master cylinder or power booster
Manual Kits - Complete drum to disc brake conversion with manual brake master cylinder
Power Kits - Complete drum to disc brake conversion with power brake booster & master cylinder